Subject: RE: Universal RA option draft - ASN1 JSON CBOR

From: "Templin (US), Fred L" <[email-masked]>
Date: Wed, 2 Jan 2019 16:46:52 +0000

Hi Sander,

> -----Original Message-----
> From: Sander Steffann [mailto:[email-masked]]
> Sent: Sunday, December 30, 2018 3:23 PM
> To: Templin (US), Fred L <[email-masked]>
> Cc: Ole Troan <[email-masked]>; Alexandre Petrescu <[email-masked]>; 6man WG <[email-masked]>;
> [email-masked]
> Subject: Re: Universal RA option draft - ASN1 JSON CBOR
> 
> Hi Fred,
> 
> > Why not call it a "universal ND option" and then, within the context of this document,
> > discuss its use with RA and leave use with other ND messages as out of scope? That
> > would be more consistent with the spirit of RFC4861 where options such as S/TLLAO
> > can be used by any ND message type, and not just RA. (Actually, I think to be
> > consistent with RFC4861 it would be more correct to call it an ND option and not
> > an RA option.)
> 
> I see how that would allow other use cases besides the experiment described in Ole's draft. I don't have a problem with that. I do
> think those other use cases would then deserve/need a draft of their own to describe the other experiments.

Right, plus I checked and there is no such thing as an "RA option". There are only
generic IPv6 ND options, and it is up to the individual IPv6 ND message types to
specify which options can appear in which messages. So, the wording of the draft
(as well as the draft title) needs to be adjusted accordingly.

Thanks - Fred

> Cheers,
> Sander